Loading...
Searching...
No Matches
ShonanFactor.h File Reference

Main factor type in Shonan averaging, on SO(n) pairs. More...

Go to the source code of this file.

## Classes

class | gtsam::ShonanFactor< d >
| ShonanFactor is a BetweenFactor that moves in SO(p), but will land on the SO(d) sub-manifold of SO(p) at the global minimum. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::ShonanFactor2 = ShonanFactor<2>
using | gtsam::ShonanFactor3 = ShonanFactor<3>

## Detailed Description

Main factor type in Shonan averaging, on SO(n) pairs.

Date
  March 2019

Author
  Frank Dellaert